// Advanced options.  This gets pretty deep!
//
#define DEMOTICS        4     // Original setting is 4
#define MAXDEMOSIZE     32768 // Original setting is 8192

#define DEATHTIME  160        // Delay after player "dies" before the level is restarted;  good
                              // when PLAYERDEATHSND is longer than one second
#define PSYCHTIME  140        // Delay after red bar for "Get Psyched!" finishes loading;  good
                              // when the map's name is displayed
/*********************************************************************************************************************/
// "Get Psyched!" screen - Map name X/Y coordinates
//
#define MAPN_NE_Y  2    // Y Coordinate for "Now entering:" text
#define MAPN_NE_C  0x0f // and its colors
#define MAPN_MN_Y  20   // Y Coordinate for map name
#define MAPN_MN_C  0x0e // and its colors
/*********************************************************************************************************************/
#define SPDPATROL            512   // Speed when enemies are in Patrol mode
#define SPDDOG               1500  // Speed set before the Dogs start Attack mode
#define SPDGHOST             1500  // Speed set for Pac-man ghosts

#define GRDSPEED             3     // Speed of Brown Guard in Attack mode  (* SPDPATROL)
#define OFCSPEED             5     // Speed of White Guard in Attack mode  "
#define MUTSPEED             3     // Speed of Mutant Guard in Attack mode "
#define SSSPEED              4     // Speed of SS Guard in Attack mode     "

#define DOGSPD               2     // Speed of Dog in Attack mode (* SPDDOG)

#define GHOSTSPD             2     // Speed of Pac-man ghosts in Attack mode (* SPDGHOST)

// "Non-living" actors.  This variable is used for all missile types, as well as the Angel Of
// Death's projectiles.
#define MISSILESPEED   0x2000l     // Speed of the missiles/sparks fired

// Wolf3D only
#define NEEDLESPEED    0x2000l     // Speed of Doctor Schabbs's needles
#define FAKEFIRESPEED  0x1200l     // Speed of Fake Hitler's fireballs
#define MISSILE2SPEED  0x2000l     // Speed of Giftmacher's rockets

// Boss's speed in Attack Mode
#define HANSSPEED            3     // Speed of Hans Grosse in Attack mode
#define SCHABBSSPEED         3     // Speed of Doctor Schabbs in Attack mode

#define FAKEHITLERSPD        3     // Speed for Fake Hitler
#define HITLER1SPD           3     // Speed for Mecha-Hitler
#define HITLER2SPD           5     // Speed for Hitler without armor

#define GRETELSPEED          3     // Speed of Gretel Grosse in Attack mode
#define GIFTSPEED            3     // Speed of Otto Giftmacher in Attack mode
#define FATSPEED             3     // Speed of General FatFace in Attack mode

// Spear Of Destiny - the numbers here are much higher, because the speeds are fine-tuned
#define TRANSSPEED           1536  // Trans Grosse
#define BARNSPEED            2048  // Barnacle Wilhelm
#define UBERSPEED            3000  // Ubermutant
#define DEATHSPEED           2048  // Death Knight
#define SPECTRESPEED         800   // Angel Of Death's ghost guardians
#define ANGELSPEED           1536  // Angel Of Death himself!
/*********************************************************************************************************************/
//////////////////////////////////////
// BJ's movement/turning speeds     //
#define BASEMOVE                35  // Walking speed
#define RUNMOVE                 70  // Running speed
#define BASETURN                35  // Turning speed without the Shift key
#define RUNTURN                 70  // Turning speed *with* the Shift key!
//////////////////////////////////////
// Or, for Doom-style movement ...
//#define BJDOOMSTYLE         // BJ moves, runs, and strafes Doom-style

#define BJSUBSPEED                               6                   // Speeds for up/down arrows
#define BJWALKSPEED                              (BJSUBSPEED*2)
#define BJMAXWALKSPEED                           (BJSUBSPEED*4)
#define BJMAXRUNSPEED                            (BJMAXWALKSPEED*2)
#define BJSUB2SPEED                              6                   // Speeds for Strafing
#define BJSTRAFESPEED                            (BJSUB2SPEED*2)
#define BJMAXSIDESPEED                           (BJSUB2SPEED*4)
#define BJMAXRUNSIDESPEED                        (BJMAXSIDESPEED*2)
/*********************************************************************************************************************/
//#define BONUSFEATURES                    // Enable MyMod4SDL "special" features, like candles

//#define TWOPIECEFLAGOBJ                  // Use combination of two sprites to enable a special
                                         // "rectangular flag on pole" sprite

//#define USEHUDACTORS                     // Enable Actor types that appear in the HUD display

//#define BLEEDINGENEMIES                  // Enemies "bleed" when hit

#define USEENDLEVELTILE                  // Enable the ENDLEVELTILE marker (see below)

#define ENABLESPACESCANACTORS            // Spacebar "scans" for guards immediately in front of
                                         // the player (requires INGAMEMESSAGES feature)
#define FIXACTORDISTANCE                 // Allow the player to walk in-between "fake boss"
                                         // objects, like destructible barrels
/*********************************************************************************************************************/
// Turn the "Blake Doors" feature on/off for each door type;  enable to turn on

#define BLAKENORMALDOORON                // For the original unlocked door
#define BLAKEELEVATORDOORON              // For the original elevator door

#define BLAKELOCKED1DOORON               // For locked door #1
#define BLAKELOCKED2DOORON               // For locked door #2
#define BLAKELOCKED3DOORON               // For locked door #3
#define BLAKELOCKED4DOORON               // For locked door #4

#define BLAKENORMAL2DOORON               // For new unlocked door #1
#define BLAKENORMAL3DOORON               // For new unlocked door #2
/*********************************************************************************************************************/
//#define SPAWNEMPTYHEALTH                 // Leave "empty" health items
/*********************************************************************************************************************/
//#define OBJECTSPAWNER                    // Spawn a static object if ceiling texture is a certain
                                         // number

#define OBJSPAWNNUMBER             36510 // Spawn the object if the 3rd Plane equals this number
#define OBJSPAWNCHANGETO           36254 // Number the 3rd Plane will be changed to after spawning

#define OBJSPAWNSTATNUMBER          057  // Static Object to spawn (Zero spawns SPR_STAT_0)
/*********************************************************************************************************************/
#define DEMONUMBEROFLEVELS           1   // For MYMODDEMO, number of levels to enable
/*********************************************************************************************************************/
// Door images selected here!
#define DOORIMAGES                   20  // Number of textures used for door images

#define DOORTEXT_NORMAL              12  // Normal unlocked door
#define DOORTEXT_LOCK1               6   // Locked door #1
#define DOORTEXT_LOCK2               8   // Locked door #1
#define DOORTEXT_LOCK3               18  // Locked door #1
#define DOORTEXT_LOCK4               10  // Locked door #1
#define DOORTEXT_ELEVATOR            16  // Elevator door
#define DOORTEXT_NEWDOOR1            4   // New door type #1
#define DOORTEXT_NEWDOOR2            0   // New door type #2

// Now the door side textures
#define DOORSIDE_NORMAL              14  // For normal unlocked door
#define DOORSIDE_LOCK1               14  // Locked door #1
#define DOORSIDE_LOCK2               14  // Locked door #1
#define DOORSIDE_LOCK3               14  // Locked door #1
#define DOORSIDE_LOCK4               14  // Locked door #1
#define DOORSIDE_ELEVATOR            14  // Elevator door
#define DOORSIDE_NEWDOOR1            2   // New door type #1
#define DOORSIDE_NEWDOOR2            2   // New door type #2
/*********************************************************************************************************************/
//#define USENEWSTATUSBAR                  // Use Tricob's new statusbar

// Coordinates for the statusbar text!  Enable these with the USENEWSTATUSBAR parameter.
#define SBAR_AMMO_X                  28  // Ammo - X Coordinate
#define SBAR_AMMO_Y                  22  // Ammo - Y Coordinate
#define SBAR_FACE_X                  17  // BJ's face drawn here - X Coordinate
#define SBAR_FACE_Y                  4   // BJ's face drawn here - Y Coordinate
#define SBAR_HEALTH_X                22  // Health - X Coordinate
#define SBAR_HEALTH_Y                7   // Health - Y Coordinate
#define SBAR_KEY1_X                  27  // Key #1 - X Coordinate
#define SBAR_KEY1_Y                  7   // Key #1 - Y Coordinate
#define SBAR_KEY2_X                  30  // Key #2 - X Coordinate
#define SBAR_KEY2_Y                  7   // Key #2 - Y Coordinate
#define SBAR_KEY3_X                  28  // Key #3 - X Coordinate
#define SBAR_KEY3_Y                  7   // Key #3 - Y Coordinate
#define SBAR_KEY4_X                  29  // Key #4 - X Coordinate
#define SBAR_KEY4_Y                  7   // Key #4 - Y Coordinate
#define SBAR_LEVEL_X                 7   // Current level - X Coordinate
#define SBAR_LEVEL_Y                 7   // Current level - Y Coordinate
#define SBAR_LIVES_X                 15  // Lives left - X Coordinate
#define SBAR_LIVES_Y                 7   // Lives left - Y Coordinate
#define SBAR_SCORE_X                 9   // Current score - X Coordinate
#define SBAR_SCORE_Y                 22  // Current score - Y Coordinate
#define SBAR_WEAPON_X                32  // Weapon currently in use - X Coordinate
#define SBAR_WEAPON_Y                8   // Weapon currently in use - Y Coordinate
/*********************************************************************************************************************/
// Wall Patches features
//
#define FIRSTPATCHOBJ        448  // The first Wall Patch starts here in the Objects List
#define NUMPATCHES           007  // This is the number of patch pairs (light/dark) in use.

//  Interactive wall patches (shelves)
#define WPATCH_SHELF_EMPTY   448  // Empty
#define WPATCH_SHELF_KEY1    449  // Key #1
#define WPATCH_SHELF_KEY2    450  // Key #2
#define WPATCH_SHELF_KEY3    451  // Key #3
#define WPATCH_SHELF_KEY4    452  // Key #4
#define WPATCH_SHELF_MEDKIT  453  // Medkit
#define WPATCH_SHELF_CHAING  454  // Chaingun
/*********************************************************************************************************************/
// PG13 (PC-13) pic - specifications
//
#define PC13_X  216   // X coordinate
#define PC13_Y  110   // Y coordinate
#define PC13_C  0x82  // Color
/*********************************************************************************************************************/
// Extra animation for VGAGRAPH
//
// This lets the menu pointer use more frames of animation, and also lets you
// improve the animation of the Level Completed screen.
//
// The code has a limit of 16 frames for animation, but I think that's enough.  :-)
//
// If you want more frames, go into the GFX_*.H files.
//
// To increase the speed of the animation, decrease the ANIMSPEED number.  To
// decrease the speed, increase that same number.
//
//#define VGAGRANIM               // Enable new animation code for the menu cursor
                                // and the Level Completed screen
#define FRAMES4MENU          16 // # of animation frames for menu pointer
#define ANIMSPEED4MENU       6  // Animation speed for menu pointer

#define FRAMES4LVLEND        12  // # of animation frames for Level Complete pics
#define ANIMSPEED4LVLEND     6  // Animation speed for Level Complete pics
/*********************************************************************************************************************/
// Fine-tune your mod with these options

// Object Types list
#define BLOCKGUARD1           511   // Blocks guards;  this marker is removed when BJ moves
                                    // over it
#define BLOCKGUARD2           510   // Blocks guards;  this marker is never removed from the
                                    // map before the level ends
#define ENDLEVELTILE          509   // The level ends automatically when BJ moves over this
                                    // invisible object

// End list for Object Types

#define WALLSBEYOND90         448   // Walls beyond the value of 90 should be at this value or
                                    // higher

/*********************************************************************************************************************/
// Data for High Scores table - Name, score, and level
//
#define STR_1_HS_NAME    "id software-'92"
#define HS_1_SCORE       10000
#define HS_1_DIEDINLEVEL 1
#define STR_2_HS_NAME    "Adrian Carmack"
#define HS_2_SCORE       10000
#define HS_2_DIEDINLEVEL 1
#define STR_3_HS_NAME    "John Carmack"
#define HS_3_SCORE       10000
#define HS_3_DIEDINLEVEL 1
#define STR_4_HS_NAME    "Kevin Cloud"
#define HS_4_SCORE       10000
#define HS_4_DIEDINLEVEL 1
#define STR_5_HS_NAME    "Tom Hall"
#define HS_5_SCORE       10000
#define HS_5_DIEDINLEVEL 1
#define STR_6_HS_NAME    "John Romero"
#define HS_6_SCORE       10000
#define HS_6_DIEDINLEVEL 1
#define STR_7_HS_NAME    "Jay Wilbur"
#define HS_7_SCORE       10000
#define HS_7_DIEDINLEVEL 1
/*********************************************************************************************************************/
// Customizing colors
//
// From ID_VH.H
#define WHITE			15			// graphics mode independent colors
#define BLACK			0
#define FIRSTCOLOR		1
#define SECONDCOLOR		12
#define F_WHITE			15
#define F_BLACK			0
#define F_FIRSTCOLOR	1
#define F_SECONDCOLOR	12

#define PSYCHEDLINE1    0x00  // 1st color for the red line in "Get Psyched!" screen
#define PSYCHEDLINE2    0x37  // 2nd color for the red line in "Get Psyched!" screen
#define PSYCHEDLINE3    0x32  // 3rd color for the red line in "Get Psyched!" screen

#define INGAMEMESSCLR   0x0f  // Color for in-game messages

#define BACKCOLOR       0x11  // Background color for "Read This!"
